Bug 1416643 - libidn2: update to 0.16 or later version
Summary: libidn2: update to 0.16 or later version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libidn2
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 07:38 UTC by Nikos Mavrogiannopoulos
Modified: 2017-02-03 21:48 UTC (History)
1 user (show)

Fixed In Version: libidn2-0.16-1.fc25 libidn2-0.16-1.fc24
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-03 21:48:37 UTC
Type: Bug


Attachments (Terms of Use)

Description Nikos Mavrogiannopoulos 2017-01-26 07:38:09 UTC
Description of problem:
libidn2 0.11 has several limitation with regards to IDNA2008 handling. Transitional vs non-transitional, normalization prior to conversion, case folding etc. Please update to version 0.16 which handles most of these issues.

Comment 1 Fedora Update System 2017-01-27 01:10:11 UTC
libidn2-0.16-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f6ee8c9744

Comment 2 Fedora Update System 2017-01-27 01:11:28 UTC
libidn2-0.16-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b8ea539734

Comment 3 Fedora Update System 2017-01-28 04:55:26 UTC
libidn2-0.16-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f6ee8c9744

Comment 4 Fedora Update System 2017-01-29 00:22:05 UTC
libidn2-0.16-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2017-01-29 02:21:10 UTC
libidn2-0.16-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b8ea539734

Comment 6 Fedora Update System 2017-02-03 21:48:37 UTC
libidn2-0.16-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.